{% extends 'base.html' %}
{% load bootstrap_pagination %}
{% load app_filters %}
{% block content %}

<div class="d-flex" id="wrapper">

        <!-- Sidebar -->
        <div class="border-right border-dark bg-light" id="sidebar-wrapper">
            <div class='sidebar-heading mb-3'>Language stats</div>
                <div class="list-group list-group-flush">
                </div>
                <div class='container'>{% for stat in language_stats %}
                    {{stat.language|language_name}}: {{stat.total}} pages
                    <br/>
                {% endfor %}
                </div>
                <hr/>
                    <div class='container'>
                        <a href='/export_batch/{{batch.pk}}' class=' mr-2 btn btn-primary  btn-sm btn-block'><i class="fas fa-download mr-1"></i>Export text</a>
                        <a href='/export_batch_entities/{{batch.pk}}' class=' mr-2 btn btn-primary btn-sm btn-block'><i class="fas fa-download mr-1"></i>Export entities</a>
                    <hr/>
                    <form action="{% url 'delete_batch' batch.pk %}" method="post">
                        {% csrf_token %}
                        <button type='submit' class=' mr-2 btn btn-danger btn-sm btn-block'><i class="fas fa-trash mr-1"></i>Delete</button>
                    </form>
                </div>
                    <!--                
     <div class='container'>
                    <strong>Terms</strong>
                    <br/>
                {% for term in terms %}
                    {{term}}: {{term}}
                    <br/>
                {% endfor %}
                <hr/>
                </div> -->
<!--                 <div class='container'>
                    <strong>Persons</strong>
                    <br/>
                {% for person in persons %}
                    {{person}}
                    <br/>
                {% endfor %}
                <hr/>
                </div>
                <div class='container'>
                    <strong>Organisations</strong>
                    <br/>
                {% for organisation in organisations %}
                    {{organisation}}
                    <br/>
                {% endfor %}
                <hr/>
                </div>
                <div class='container'>
                    <strong>Places</strong>
                    <br/>
                {% for place in places %}
                    {{place}}
                    <br/>
                {% endfor %}
                <hr/> -->
        </div>
        <div id="page-content-wrapper">
                <div class="container-fluid">
                        <div class='mt-3'>
                            <h3 class='text-center'>Batch {{batch}}</h3>
                            <h5 class='text-center'>{{ pages_count }} pages</h5>  
                        </div>
                        <p>
                            {% if pages.paginator.num_pages > 1 %}
                            {% bootstrap_paginate pages show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
                            {% endif %} 
                            {% for doc_page in pages %}
                                <div class='inner-page-wrapper'>
                                    <hr/>
                                    <h5><a href="https://digilib.mpiwg-berlin.mpg.de/digitallibrary/jquery/digicat.html?fn=permanent/measuring_the_earth/{{doc_page.volume.name}}" target="_blank">{{doc_page.volume}}</a> > {{doc_page.page_identifier}} <a href="{{doc_page.iiif_url}}" target="_blank"><i class="fas fa-file-image"></i></a> <a href='#' class='batch-remove batch-button' id="{{doc_page.id}}" title="remove page from current batch"><i class="fas fa-minus-circle"></i></a></h5>
                                    {% for key, value in doc_page.volume.metadata.items %}
                                        <span class="badge badge-secondary">{{key}}: {{value}}</span>
                                    {% endfor %}
                                    <p>
                                        {{doc_page.text}}
                                    </p>
                                </div>
                            {% endfor %}
                        
                    </p>
                    {% if pages.paginator.num_pages > 1 %}
                    {% bootstrap_paginate pages show_prev_next="false" extra_pagination_classes='justify-content-center' show_first_last="true" range=8 %}
                    {% endif %} 
                </div>
        </div>

        <script>        
        $( function() {
      
          $(document).on('click', '.batch-button', function(e) {
            e.preventDefault();
            $(this).html('<i class="fas fa-circle-notch fa-spin"></i>');
            var action = 'add';
            if($(this).hasClass('batch-remove')){
              action = 'remove';
            }
            var pageId = $(this).attr('id');
            var batchId = {{batch.id}};
            var url = `/ajax/batches/${batchId}/${action}_page/${pageId}`;
            $.ajax({url: url,context: this, success: function(result){
               console.log($(this).closest('.inner-page-wrapper'));
               $(this).closest('.inner-page-wrapper').fadeOut();
            }});
          });
        });
    </script>

    {% endblock %}